SparkFun TeensyView Arduino Library
========================================

![SparkFun TeensyView](https://cdn.sparkfun.com/assets/parts/1/1/8/8/0/14113-07.jpg)

[*SparkFun TeensyView (LCD-14048)*](https://www.sparkfun.com/products/14048)

This is a modified microOLED library designed for Teensyduino.

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/extras** - Additional documentation for the user. These files are ignored by the IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/TeensyView)** - Main repository (including hardware files) for the TeensyView.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/teensyview-hookup-guide)** - Basic hookup guide for the TeensyView.

Products that use this Library 
---------------------------------

* [LCD-14048](https://www.sparkfun.com/products/14048) - TeensyView product.

Compatible products
---------------------------------

* [DEV-13305](https://www.sparkfun.com/products/13305) - Teensy LC
* [DEV-13736](https://www.sparkfun.com/products/13736) - Teensy 3.2
* [DEV-14055](https://www.sparkfun.com/products/14055) - Teensy 3.5
* [DEV-14057](https://www.sparkfun.com/products/14057) - Teensy 3.6
* [DEV-12767](https://www.sparkfun.com/products/12767) - Teensy Audio Board
* [BOB-13311](https://www.sparkfun.com/products/13311) - Teensy 3.1 XBee Adapter
* [PRT-13925](https://www.sparkfun.com/products/13925) - Teensy Header Kit
* [DEV-13996](https://www.sparkfun.com/products/13996) - Teensy Prop Shield LC
* [DEV-13995](https://www.sparkfun.com/products/13995) - Teensy Prop Shield

Version History
---------------

* [V_1.0.0](https://github.com/sparkfun/SparkFun_TeensyView_Arduino_Library/tree/V_1.0.0) - Public release
* [V_1.1.0](https://github.com/sparkfun/SparkFun_TeensyView_Arduino_Library/tree/V_1.1.0) - Added clock rate setter and template example

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.

_<COLLABORATION CREDIT>_
